Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iview
Class IDEPropertiesManager

    java.lang.Object
      ix.iface.ui.JPropertiesManager
          ix.iview.IDEPropertiesManager

All Implemented Interfaces:
  IDESymbols

    public class IDEPropertiesManager

extends JPropertiesManager
implements IDESymbols

A manager for properties/preferences of the I-X Domain Editor, I-DE. Remember to mark properties that cannot be edited here as such using the noteNoEditable method, otherwise such preperties will be emptied.

Field Summary

Fields inherited from class ix.iface.ui.JPropertiesManager
`application, noEditComponents, preferencesDialog, properties`

Fields inherited from interface ix.iview.IDESymbols
`C_ALL, C_CONDITIONS_ONLY, C_CONDITIONS_OTHER, C_NONE, C_ORDER_CONDITIONS, C_ORDER_ONLY, C_ORDER_OTHER, C_OTHER_ONLY, MODE_ADVANCED, MODE_SIMPLE, VIEW_COMPREHENSIVE, VIEW_GRAPHICAL, VIEW_MINIMAL, VIEWS`

Constructor Summary
`IDEPropertiesManager(PropertiesApplication application)`

Method Summary
`java.io.File` | `getPropertiesFile()` Specify the name of the properties file to use; set to getDefaultPropertiesFile() if you don't care.
`JPreferencesDialog` | `makePreferencesDialog()`
`void` | `setDefaultProperties(java.util.Properties defaults)` Sets the default properties for the application into the given properties object; application specific.

Methods inherited from class ix.iface.ui.JPropertiesManager
`editPreferences, ensurePreferencesDialog, getDefaultPropertiesFile, getProperties, getProperty, initProperties, isBooleanProperty, isEditable, loadProperties, loadProperties, noteNoEditable, saveApplicationProperties, saveProperties, saveProperties, setProperty, updateApplicationFromProperties, updateApplicationFromProperties, updatePropertiesFromApplication, updatePropertiesFromApplication`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IDEPropertiesManager

    public IDEPropertiesManager(PropertiesApplication application)

Method Detail

### setDefaultProperties

    public void setDefaultProperties(java.util.Properties defaults)

  Description copied from class: `JPropertiesManager`
  Sets the default properties for the application into the given properties object; application specific.

  Specified by:
    `setDefaultProperties` in class `JPropertiesManager`

### getPropertiesFile

    public java.io.File getPropertiesFile()

  Description copied from class: `JPropertiesManager`
  Specify the name of the properties file to use; set to getDefaultPropertiesFile() if you don't care.

  Overrides:
    `getPropertiesFile` in class `JPropertiesManager`

### makePreferencesDialog

    public JPreferencesDialog makePreferencesDialog()

  Specified by:
    `makePreferencesDialog` in class `JPropertiesManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD